Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

APIContentExceptionEvent.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\MVC\Symfony\Event;
8
9 use Symfony\Component\EventDispatcher\Event;
10 use eZ\Publish\Core\MVC\Symfony\View\View;
11 use Exception;
12
17 class APIContentExceptionEvent extends Event
18 {
20 private $apiException;
21
23 private $contentView;
24
26 private $contentMeta;
27
28 public function __construct(Exception $apiException, array $contentMeta)
29 {
30 $this->apiException = $apiException;
31 $this->contentMeta = $contentMeta;
32 }
33
37 public function getApiException()
38 {
39 return $this->apiException;
40 }
41
48 public function setContentView(View $contentView)
49 {
50 $this->contentView = $contentView;
51 }
52
56 public function getContentView()
57 {
58 return $this->contentView;
59 }
60
64 public function hasContentView()
65 {
66 return isset($this->contentView);
67 }
68
78 public function getContentMeta()
79 {
80 return $this->contentMeta;
81 }
82 }
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent
This event is dispatched when an Exception from eZ Publish API is thrown and could not be caught befo...
Definition: APIContentExceptionEvent.php:18
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent\getApiException
getApiException()
Definition: APIContentExceptionEvent.php:37
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent\setContentView
setContentView(View $contentView)
Injects the ContentView object to display content from.
Definition: APIContentExceptionEvent.php:48
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent\$contentView
$contentView
Definition: APIContentExceptionEvent.php:23
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent\$contentMeta
$contentMeta
Definition: APIContentExceptionEvent.php:26
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent\getContentView
getContentView()
Definition: APIContentExceptionEvent.php:56
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent\__construct
__construct(Exception $apiException, array $contentMeta)
Definition: APIContentExceptionEvent.php:28
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent\getContentMeta
getContentMeta()
Returns an array of metadata concerning the content that failed to load through API.
Definition: APIContentExceptionEvent.php:78
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent\hasContentView
hasContentView()
Definition: APIContentExceptionEvent.php:64
eZ\Publish\Core\MVC\Symfony\Event\APIContentExceptionEvent\$apiException
$apiException
Definition: APIContentExceptionEvent.php:20
eZ\Publish\Core\MVC\Symfony\View\View
Main interface for Views of Value objects (content, block...).
Definition: Publish/Core/MVC/Symfony/View/View.php:16
eZ\Publish\Core\MVC\Symfony\Event
Definition: APIContentExceptionEvent.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.